package com.yd.api.practitioner.service;

import com.yd.api.practitioner.vo.hiring.*;
import org.springframework.stereotype.Service;

@Service
public interface PractitionerHiringService {

    SaveMembershipResponseVO saveMembership(SaveMembershipRequestVO requestVO);

    SaveBasicInfoResponseVO saveBasicInfo(SaveBasicInfoRequestVO requestVO);

    QueryMembershipResponseVO queryMembership(QueryMembershipRequestVO requestVO);

    SaveWorkingExperienceResponseVO saveWorkingExperience(SaveWorkingExperienceRequestVO requestVO);

    SavePersonPictureResponseVO savePersonPicture(SavePersonPictureRequestVO requestVO);

    SaveIDPictureResponseVO saveIDPicture(SaveIDPictureRequestVO requestVO);

    SaveLastGraduateGradeResponseVO saveLastGraduateGrade(SaveLastGraduateGradeRequestVO requestVO);

    SavePersonalStatementsResponseVO savePersonalStatements(SavePersonalStatementsRequestVO requestVO);

    SaveContractTermsConfirmsResponseVO saveContractTermsConfirms(SaveContractTermsConfirmsRequestVO requestVO);
    /**
     * 经纪人审批列表查询
     * @param requestVO 请求数据
     * @return 响应数据
     */
    HiringListQueryResponseVO listQuery(HiringListQueryRequestVO requestVO);
    /**
     * 经纪人审批详情查询
     * @param requestVO 请求数据
     * @return 响应数据
     */
    HiringDetailQueryResponseVO detailQuery(HiringDetailQueryRequestVO requestVO);
}
